## org.apache.lucene.benchmark.quality
Class QualityQuery

    java.lang.Object
      org.apache.lucene.benchmark.quality.QualityQuery

All Implemented Interfaces:
  java.lang.Comparable

    public class QualityQuery

extends java.lang.Object
implements java.lang.Comparable

A QualityQuery has an ID and some name-value pairs.

The ID allows to map the quality query with its judgements.

The name-value pairs are used by a `QualityQueryParser` to create a Lucene `Query`.

It is very likely that name-value-pairs would be mapped into fields in a Lucene query, but it is up to the QualityQueryParser how to map - e.g. all values in a single field, or each pair as its own field, etc., - and this of course must match the way the searched index was constructed.

Constructor Summary
`QualityQuery(java.lang.String queryID, java.util.Map nameValPairs)` Create a QualityQuery with given ID and name-value pairs.

Method Summary
`int` `compareTo(java.lang.Object o)`
`java.lang.String[]` `getNames()` Return all the names of name-value-pairs in this QualityQuery.
`java.lang.String` `getQueryID()` Return the ID of this query.
`java.lang.String` `getValue(java.lang.String name)` Return the value of a certain name-value pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QualityQuery

    public QualityQuery(java.lang.String queryID,
                        java.util.Map nameValPairs)

  Create a QualityQuery with given ID and name-value pairs.

  Parameters:
    `queryID` - ID of this quality query.
    `nameValPairs` - the contents of this quality query.

Method Detail

### getNames

    public java.lang.String[] getNames()

  Return all the names of name-value-pairs in this QualityQuery.

### getValue

    public java.lang.String getValue(java.lang.String name)

  Return the value of a certain name-value pair.

  Parameters:
    `name` - the name whose value should be returned.

### getQueryID

    public java.lang.String getQueryID()

  Return the ID of this query. The ID allows to map the quality query with its judgements.

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.